## org.eclipse.datatools.modelbase.dbdefinition.util
Class DatabaseDefinitionAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.dbdefinition.util.DatabaseDefinitionAdapterFactory

public class DatabaseDefinitionAdapterFactory
extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `DatabaseDefinitionPackage`, Serialized Form

Constructor Summary
`DatabaseDefinitionAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createColumnDefinitionAdapter()` Creates a new adapter for an object of class '`Column Definition`'.
`Adapter` `createConstraintDefinitionAdapter()` Creates a new adapter for an object of class '`Constraint Definition`'.
`Adapter` `createDatabaseVendorDefinitionAdapter()` Creates a new adapter for an object of class '`Database Vendor Definition`'.
`Adapter` `createDebuggerDefinitionAdapter()` Creates a new adapter for an object of class '`Debugger Definition`'.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createExtendedDefinitionAdapter()` Creates a new adapter for an object of class '`Extended Definition`'.
`Adapter` `createFieldQualifierDefinitionAdapter()` Creates a new adapter for an object of class '`Field Qualifier Definition`'.
`Adapter` `createIndexDefinitionAdapter()` Creates a new adapter for an object of class '`Index Definition`'.
`Adapter` `createNicknameDefinitionAdapter()` Creates a new adapter for an object of class '`Nickname Definition`'.
`Adapter` `createPredefinedDataTypeDefinitionAdapter()` Creates a new adapter for an object of class '`Predefined Data Type Definition`'.
`Adapter` `createQueryDefinitionAdapter()` Creates a new adapter for an object of class '`Query Definition`'.
`Adapter` `createSchemaDefinitionAdapter()` Creates a new adapter for an object of class '`Schema Definition`'.
`Adapter` `createSequenceDefinitionAdapter()` Creates a new adapter for an object of class '`Sequence Definition`'.
`Adapter` `createSQLSyntaxDefinitionAdapter()` Creates a new adapter for an object of class '`SQL Syntax Definition`'.
`Adapter` `createStoredProcedureDefinitionAdapter()` Creates a new adapter for an object of class '`Stored Procedure Definition`'.
`Adapter` `createTableDefinitionAdapter()` Creates a new adapter for an object of class '`Table Definition`'.
`Adapter` `createTableSpaceDefinitionAdapter()` Creates a new adapter for an object of class '`Table Space Definition`'.
`Adapter` `createTriggerDefinitionAdapter()` Creates a new adapter for an object of class '`Trigger Definition`'.
`Adapter` `createUserDefinedTypeDefinitionAdapter()` Creates a new adapter for an object of class '`User Defined Type Definition`'.
`Adapter` `createViewDefinitionAdapter()` Creates a new adapter for an object of class '`View Definition`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseDefinitionAdapterFactory

    public DatabaseDefinitionAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createDatabaseVendorDefinitionAdapter

    public Adapter createDatabaseVendorDefinitionAdapter()

  Creates a new adapter for an object of class '`Database Vendor Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DatabaseVendorDefinition`

### createPredefinedDataTypeDefinitionAdapter

    public Adapter createPredefinedDataTypeDefinitionAdapter()

  Creates a new adapter for an object of class '`Predefined Data Type Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedDataTypeDefinition`

### createTableSpaceDefinitionAdapter

    public Adapter createTableSpaceDefinitionAdapter()

  Creates a new adapter for an object of class '`Table Space Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableSpaceDefinition`

### createStoredProcedureDefinitionAdapter

    public Adapter createStoredProcedureDefinitionAdapter()

  Creates a new adapter for an object of class '`Stored Procedure Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StoredProcedureDefinition`

### createTriggerDefinitionAdapter

    public Adapter createTriggerDefinitionAdapter()

  Creates a new adapter for an object of class '`Trigger Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TriggerDefinition`

### createColumnDefinitionAdapter

    public Adapter createColumnDefinitionAdapter()

  Creates a new adapter for an object of class '`Column Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ColumnDefinition`

### createConstraintDefinitionAdapter

    public Adapter createConstraintDefinitionAdapter()

  Creates a new adapter for an object of class '`Constraint Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ConstraintDefinition`

### createIndexDefinitionAdapter

    public Adapter createIndexDefinitionAdapter()

  Creates a new adapter for an object of class '`Index Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IndexDefinition`

### createExtendedDefinitionAdapter

    public Adapter createExtendedDefinitionAdapter()

  Creates a new adapter for an object of class '`Extended Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ExtendedDefinition`

### createTableDefinitionAdapter

    public Adapter createTableDefinitionAdapter()

  Creates a new adapter for an object of class '`Table Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableDefinition`

### createSequenceDefinitionAdapter

    public Adapter createSequenceDefinitionAdapter()

  Creates a new adapter for an object of class '`Sequence Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SequenceDefinition`

### createUserDefinedTypeDefinitionAdapter

    public Adapter createUserDefinedTypeDefinitionAdapter()

  Creates a new adapter for an object of class '`User Defined Type Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UserDefinedTypeDefinition`

### createQueryDefinitionAdapter

    public Adapter createQueryDefinitionAdapter()

  Creates a new adapter for an object of class '`Query Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryDefinition`

### createSQLSyntaxDefinitionAdapter

    public Adapter createSQLSyntaxDefinitionAdapter()

  Creates a new adapter for an object of class '`SQL Syntax Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLSyntaxDefinition`

### createNicknameDefinitionAdapter

    public Adapter createNicknameDefinitionAdapter()

  Creates a new adapter for an object of class '`Nickname Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `NicknameDefinition`

### createSchemaDefinitionAdapter

    public Adapter createSchemaDefinitionAdapter()

  Creates a new adapter for an object of class '`Schema Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SchemaDefinition`

### createViewDefinitionAdapter

    public Adapter createViewDefinitionAdapter()

  Creates a new adapter for an object of class '`View Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ViewDefinition`

### createFieldQualifierDefinitionAdapter

    public Adapter createFieldQualifierDefinitionAdapter()

  Creates a new adapter for an object of class '`Field Qualifier Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FieldQualifierDefinition`

### createDebuggerDefinitionAdapter

    public Adapter createDebuggerDefinitionAdapter()

  Creates a new adapter for an object of class '`Debugger Definition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DebuggerDefinition`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.